Subject: [Gen-art] timing of reviews and discussions with authors, and AD reactions to various outcomes

From: Jari Arkko <[email-masked]>
Date: Wed, 11 Feb 2015 15:15:51 +0800

This is a reminder of procedures that I use when i look at Gen-ART reviews and an upcoming telechat.

Most of the time, I get to the list of documents for the telechat documents couple of days before the actual meeting. 

When a review has arrived by then, it is very, very much appreciated. 90% of the time there has been a review and a reaction from the authors and any issues have already been resolved. Even happier about that :-) No need for anyone to do anything additional, except for me to thank both sides.

If there is no response from the authors I will ask them. I may not ask in case of trivial editorial issues. In a very serious issue, I may raise a blocking Discuss. But most of the time I will say “please look at this, and I’d like resolve this discussion before the telechat”. And then, only if that fails to work I will raise a discuss just before telechat.

If there is no review, I will most likely send the Gen-ART reviewer a question. There has been cases when I’ve lost an e-mail, or my Mac has :-) Most of the time I’ll get a response and 75% of the time I will see the review a bit later. Thank you.

If I have no review by the telechat day, I will most likely review the draft myself (and I review a small fraction anyway even if you have reviewed). I of course very much appreciate your reviews. But it is OK also to miss a review, it is not the end of the world. If you do miss a review, after the telechat you are better off concentrating on the next review task rather than delivering a review for a potentially approved document.

From your perspective the main points are: 1) expectation that authors will engage in discussion 2) the AD will step in if needed, but I expect that most of the time the authors do the right things 3) I use a Discuss as a last resort mechanism if sanity does not prevail :-) and 4) let Jean or me know if you are unable to do a review.

Thanks again for your service. The system seems to be working very well from my perspective, with much added value to the IETF.

Jari